%define major   0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary:	Simple and fun paint program for kids
Name: 		tuxpaint
Version:	0.9.21
Release:	%mkrel 8
Epoch:		1
License:	GPLv2+
Source: 	%{name}-%{version}.tar.gz
Patch0:		tuxpaint-0.9.20-lin_with_libpng.diff
Patch1:		tuxpaint-0.9.20-fix-makefile_lib64.patch
Patch2:		tuxpaint-0.9.21-LDFLAGS.patch
Patch3:		tuxpaint-0.9.21-libpng1.5.patch
Patch4:		tuxpaint-0.9.21-link.patch
Patch5:		tuxpaint-0.9.21-puzzle.patch
Group:		Graphics/Editors and Converters
URL:		http://www.newbreedsoftware.com/tuxpaint/
BuildRequires:  png-devel freetype2-devel cairo-devel librsvg-devel
BuildRequires:	gettext desktop-file-utils libpaper-devel
BuildRequires:	SDL-devel SDL_mixer-devel SDL_ttf-devel SDL_image-devel SDL_Pango-devel
BuildRequires:	fribidi-devel
#for printing:
Requires: 	netpbm
Suggests:	tuxpaint-config
Suggests:	tuxpaint-stamps
Conflicts:	%libnamedev

%description
Tux Paint is a simple paint program gear towards young children. 
It provides a simple but entertaining interface, allows drawing
with brushes, lines, shapes, and 'stamps,' and has a 'magic' 
tool, for special effects. Loading and saving is done via a 
graphical interface, and the underlying environment's 
filesystem isn't exposed (much like programs on PDAs).

%package devel
Summary: Headers and development libraries from %{name}
Group: Development/C
Obsoletes: %libnamedev

%description devel
%{name} development headers and libraries.

%prep
%setup -q 
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0

%build
make OPTFLAGS="%{optflags}" PREFIX=%{_prefix} LIBDIR=%{_libdir} LDFLAGS="%ldflags"

%install
rm -rf %{buildroot}
make install BUILDPREFIX="%{buildroot}" PKG_ROOT="%{buildroot}" PREFIX="%{_usr}" X11_ICON_PREFIX="%{buildroot}%{_includedir}/X11/pixmaps" LIBDIR=%{_libdir}


%find_lang %{name}

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install	--vendor="" \
			--dir $RPM_BUILD_ROOT%{_datadir}/applications \
			--remove-category="Art" \
			src/tuxpaint.desktop

install -m644 data/images/icon16x16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 data/images/icon32x32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 data/images/icon48x48.png -D %{buildroot}%{_liconsdir}/%{name}.png

rm -Rf %{buildroot}%{_datadir}/applnk

#Fix perms:
chmod -R go+r docs/

#Remove useless installed things 
rm -Rf %{buildroot}/%{_datadir}/doc/%{name}
rm -Rf %{buildroot}/%{_datadir}/%{name}/images/icon32x32.xpm

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(755,root,root,755)
%{_bindir}/%{name}
%{_bindir}/%{name}-import
%defattr(644,root,root,755)
%doc docs/*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-import.1*
%lang(pl) %{_mandir}/pl/man1/%{name}.1*
%dir %{_sysconfdir}/tuxpaint
%config(noreplace) %{_sysconfdir}/tuxpaint/tuxpaint.conf
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/tuxpaint.desktop
%{_datadir}/pixmaps/*png
%{_includedir}/X11/pixmaps/tuxpaint.xpm
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png

%files devel
%defattr(-,root,root)
%doc %_datadir/doc/tuxpaint-dev
%{_bindir}/tp-magic-config
%{_includedir}/%{name}/*.h
%{_mandir}/man1/tp-magic-config.1*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1:0.9.21-8.mga3
+ Revision: 384873
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Tue Dec 04 2012 malo <malo> 1:0.9.21-7.mga3
+ Revision: 326301
- update RPM group

* Mon Jan 16 2012 anaselli <anaselli> 1:0.9.21-6.mga2
+ Revision: 197077
- Fix bug #4099 tuxpaint puzzle plugin errors out

* Thu Sep 15 2011 fwang <fwang> 1:0.9.21-5.mga2
+ Revision: 143625
- more linkage
- fix linkage of plugins
- add gentoo patches to fix build with latest png
- rebuild for new libpng

* Sat Apr 30 2011 ahmad <ahmad> 1:0.9.21-3.mga1
+ Revision: 93871
- bump the rel to smoothen upgrades from mdv 2010.1

* Sun Feb 20 2011 anaselli <anaselli> 1:0.9.21-1.mga1
+ Revision: 54973
- imported package tuxpaint

